AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
SayPhoneticCommand Class
SayPhoneticCommand Constructor
SayPhoneticCommand Methods
SayPhoneticCommand Properties

| SayPhoneticCommand Class

Say a given character string with phonetics, returning early if any of the given DTMF digits are received on the channel.
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or -1 on error/hangup.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SayPhoneticCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SayPhoneticCommand : AGICommand

    Public Class SayPhoneticCommand
    	Inherits AGICommand

    public ref class SayPhoneticCommand : public AGICommand

    type SayPhoneticCommand =
        class
            inherit AGICommand
        end

The SayPhoneticCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SayPhoneticCommand(String) | Creates a new SayPhonticCommand.
| SayPhoneticCommand(String, String) | Creates a new SayPhoneticCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| EscapeDigits | Get/Set the digits that allow the user to interrupt this command.
| Text | Get/Set the text to say.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace